org.apache.ignite.internal.processors.query

## Interface GridQueryProperty

All Known Implementing Classes:
  QueryBinaryProperty, QueryClassProperty, QueryUtils.KeyOrValProperty

    public interface GridQueryProperty

Description and access method for query entity field.

### Method Summary

Methods
`boolean` `key()` Property ownership flag.
`String` `name()`
`GridQueryProperty` `parent()`
`void` `setValue(Object key, Object val, Object propVal)` Sets this property value for the given object.
`Class<?>` `type()`
`Object` `value(Object key, Object val)` Gets this property value from the given object.

### Method Detail

#### value

    Object value(Object key,
               Object val)
                 throws IgniteCheckedException

Gets this property value from the given object.

Parameters:
  `key` - Key.
  `val` - Value.
Returns:
  Property value.
Throws:
  `IgniteCheckedException` - If failed.

#### setValue

    void setValue(Object key,
                Object val,
                Object propVal)
                  throws IgniteCheckedException

Sets this property value for the given object.

Parameters:
  `key` - Key.
  `val` - Value.
  `propVal` - Property value.
Throws:
  `IgniteCheckedException` - If failed.

#### name

    String name()

Returns:
  Property name.

#### type

    Class<?> type()

Returns:
  Class member type.

#### key

    boolean key()

Property ownership flag.

Returns:
  `true` if this property belongs to key, `false` if it belongs to value.

#### parent

    GridQueryProperty parent()

Returns:
  Parent property or `null` if this property is not nested.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017